Aspose Total
/
26.10.6
(ASPOSE on 2026-11-02)
26.10.6
(ASPOSEAPI on 2026-11-02)
26.10.5
(ASPOSE on 2026-10-31)
26.10.5
(ASPOSEAPI on 2026-10-31)
26.9
(ASPOSE on 2026-09-28)
26.8
(ASPOSE on 2026-08-22)
26.7
(ASPOSE on 2026-07-24)
26.6.4
(ASPOSE on 2026-06-21)
26.5
(ASPOSE on 2026-05-15)
26.4
(ASPOSE on 2026-04-20)
26.3.1
(ASPOSE on 2026-03-30)
26.2
(ASPOSE on 2026-02-12)
26.1
(ASPOSE on 2026-01-19)
25.12
(ASPOSE on 2025-12-17)
25.11
(ASPOSE on 2025-11-28)
25.10
(ASPOSE on 2025-10-15)
25.9
(ASPOSE on 2025-09-16)
25.6.1
(ASPOSE on 2025-06-19)
25.4
(ASPOSE on 2025-04-16)
25.3
(ASPOSE on 2025-03-17)
25.2
(ASPOSE on 2025-02-28)
25.1
(ASPOSE on 2025-01-25)
24.12
(ASPOSEAPI on 2024-12-26)
24.11
(ASPOSE on 2024-11-26)
24.10
(ASPOSE on 2024-10-22)
24.9
(ASPOSE on 2024-09-18)
24.8
(ASPOSE on 2024-08-12)
24.7
(ASPOSE on 2024-07-30)
24.6
(ASPOSE on 2024-06-26)
24.5.1
(ASPOSE on 2024-05-24)
24.5
(ASPOSE on 2024-05-21)
24.4
(ASPOSE on 2024-04-28)
24.3
(ASPOSE on 2024-03-22)
24.2.1
(ASPOSE on 2024-02-22)
23.12
(ASPOSE on 2023-12-24)
23.11
(ASPOSE on 2023-11-25)
23.10
(ASPOSE on 2023-10-17)
23.9
(ASPOSE on 2023-09-18)
23.8
(ASPOSE on 2023-08-23)
23.7
(ASPOSE on 2023-07-28)
23.6
(ASPOSE on 2023-06-29)
23.5
(ASPOSE on 2023-05-26)
22.12
(ASPOSE on 2022-12-16)
22.11
(ASPOSE on 2022-11-16)
22.10
(ASPOSE on 2022-10-17)
22.9
(ASPOSE on 2022-09-22)
22.8
(ASPOSE on 2022-08-24)
22.7
(ASPOSE on 2022-07-28)
22.6
(ASPOSE on 2022-06-27)
22.5
(ASPOSE on 2022-05-30)
22.4
(ASPOSE on 2022-04-20)
22.3
(ASPOSE on 2022-03-14)
22.2
(ASPOSE on 2022-02-24)
22.1
(ASPOSE on 2022-01-24)
21.12
(ASPOSE on 2021-12-28)
21.11
(ASPOSE on 2021-11-30)
21.10
(ASPOSE on 2021-11-08)
21.9
(ASPOSE on 2021-10-13)
21.8
(ASPOSE on 2021-09-17)
21.7
(ASPOSE on 2021-08-03)
21.6
(ASPOSE on 2021-07-17)
21.5
(ASPOSE on 2021-05-27)
21.1
(ASPOSE on 2021-01-25)
20.11
(ASPOSE on 2020-12-05)
20.10
(ASPOSE on 2020-10-26)
20.9
(ASPOSE on 2020-09-24)
20.8
(ASPOSE on 2020-08-20)
20.7
(ASPOSE on 2020-07-23)
20.6
(ASPOSE on 2020-07-06)
20.5.4
(ASPOSE on 2020-05-29)
20.5.3
(ASPOSE on 2020-05-27)
20.5.2
(ASPOSE on 2020-05-27)
20.5.1
(ASPOSE on 2020-05-27)
20.05
(ASPOSE on 2020-05-27)
20.4.6
(ASPOSEAPI on 2020-05-19)
20.4.5
(ASPOSEAPI on 2020-05-19)
20.4.4
(ASPOSEAPI on 2020-05-18) UNAUTHORIZED
20.4.3
(ASPOSEAPI on 2020-05-18) UNAUTHORIZED
20.4.2
(ASPOSEAPI on 2020-05-15) UNAUTHORIZED
20.4.1
(ASPOSEAPI on 2020-05-15) UNAUTHORIZED
20.4
(ASPOSEAPI on 2020-05-15) UNAUTHORIZED
19.10
(ASPOSEAPI on 2019-11-01) UNAUTHORIZED
19.9
(ASPOSEAPI on 2019-09-25) UNAUTHORIZED
19.6
(ASPOSEAPI on 2019-06-18) UNAUTHORIZED
1.06
(ASPOSE on 2017-09-28)
1.05
(ASPOSE on 2017-09-08)
1.04
(ASPOSE on 2017-07-19)
v1.0.3
(ASPOSE on 2017-07-11)
1.02
(ASPOSE on 2017-06-14)
1.01
(ASPOSE on 2016-11-10)
1.00
(ASPOSE on 2016-04-27)
20.05
(ASPOSEAPI on 2020-05-27)
19.2.1
(ASPOSEAPI on 2019-05-27) UNAUTHORIZED
1.0.1
(ASPOSE on 2016-11-10)
AsposeCellsCloud-CellsApi-26.10.5
2 ++
/
docs/api/GetMergedCellsInWorksheet.md
Spreadsheet Cloud API: getMergedCellsInWorksheet
Get all merged cell areas from a local spreadsheet worksheet.
Quick Start
Base URL : http://api.aspose.cloud/v4.0
Authentication Method : JWT (OAuth2, application) Token URL : https://api.aspose.cloud/connect/token
Example
Interface Details
Endpoint
PUT http://api.aspose.cloud/v4.0/cells/spreadsheet/mergedcells
Function Description
This API returns an array of CellArea objects representing all merged cell ranges in the specified worksheet.Each CellArea contains the start row, start column, end row, and end column of a merged area. ## Error Handling - 400 Bad Request : Invalid worksheet name.- 401 Unauthorized : Authentication has failed, or no credentials were provided.- 500 Server Error The spreadsheet has encountered an anomaly in obtaining data.
The request parameters of getMergedCellsInWorksheet API are:
| Parameter Name | Type | Path/Query String/HTTPBody | Description |
| :- | :- | :- |:- |
|Spreadsheet|File|FormData|Upload spreadsheet file.|
|worksheet|String|Query|The worksheet name to query for merged cells.|
|region|String|Query|Spreadsheet region/language setting (e.g., en-US, fr-FR). Influences number formatting, date parsing, and locale‑specific behavior.|
|password|String|Query|The password for opening spreadsheet file.|
Response Description
[
{
"Name": "CellArea",
"Type": "Class",
"IsAbstract": false,
"Properties": [
{
"Name": "EndColumn",
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "Integer",
"Name": "integer"
}
},
{
"Name": "EndRow",
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "Integer",
"Name": "integer"
}
},
{
"Name": "StartColumn",
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "Integer",
"Name": "integer"
}
},
{
"Name": "StartRow",
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "Integer",
"Name": "integer"
}
}
]
}
]
OpenAPI Specification
The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.
[Back to API list]
[Back to README]